FROM node:16-alpine

ARG ECHO_MSG
ARG ELASTIC_APM_SERVICE_NAME
ARG ELASTIC_APM_SECRET_TOKEN
ARG ELASTIC_APM_SERVER_URL

ARG DD_ENV="dev"
ARG DD_LOGS_INJECTION=true

# Create app directory
WORKDIR /usr/src/app

# Install app dependencies
# A wildcard is used to ensure both package.json AND package-lock.json are copied
# where available (npm@5+)
# COPY ../../app/hello.js ./server.js

# RUN npm install
# If you are building your code for production
# RUN npm ci --only=production

#RUN npm install express os dd-trace
RUN npm install express os

# Bundle app source
#COPY . .
COPY src/hello-APM.js ./server.js

EXPOSE 3000
# ENV for Datadog
#ENV NODE_OPTIONS='--require dd-trace/init'
CMD [ "node", "server.js"]
